// Connection library: connect_aliases.js   beta version 0.2  15 april 2000
//
// Copyright (C) 2000 Jean-Hugues Rety and Robert Kendall
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published 
// by the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public 
// License along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//
// THIS IS NOT AN OFFICIAL RELEASE BUT A CURRENT WORKING VERSION !!
//
// This library provides JavaScript tools for 
// hypertext literary writing in HTML.
//
// Important: this version is a prototype, functionalities may me 
// modified in future versions.
//
// Documentation: http://www.wordcircuits.com/connect
// e-mail: connection@wordcircuits.com
//

if (typeof(nodesList) == "undefined")
    nodesList = new Array ();

charArray = new Array ();

function h_makeCharArray()
{
var arg = h_makeCharArray.arguments;
var arg_len = arg.length;
for (var i=0; i<arg_len ; i++)
  charArray[i] = arg[i];
}



h_makeCharArray('!','"','#','$','%','&',"'",'(',')','+','-','.','/',
'0','1','2','3','4','5','6','7','8','9',
'<','=','>','?','@',
'A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S',
'T','U','V','W','X','Y','Z',
'[','\\',']','^','_','`',
'a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s',
't','u','v','w','x','y','z',
'{','|','}','~',
'','','','','','','','','','','','','','','','','','','',
'','','','','','','','','','','','','','','','','','','',
'','','','','','','','','','','','','','','','','','','',
'','','','','','','','','','','','','','','','','','','',
'','','','','','','','','','','','','','','','','','',''
);


var charArray_len = charArray.length;

aliasArray = new Array ();
aliasReverseArray = new Array ();


function makeAliases(arg)
{
var arg_len = arg.length;
var ident = '';
var id = '';
var mod = 0;
for (var i=0 ; i<arg_len ; i++)
   {
   mod = i % charArray_len;
   if (mod == 0 && i !=0)
     id = charArray[i/charArray_len];   
   ident = id + charArray[mod];
   if (arg[i].charAt(0) == '/')
     var node = arg[i].substring(1,arg[i].length);
   else
     var node = arg[i];
   aliasArray[node]=ident;
   aliasReverseArray[ident]=node;
   }
}


makeAliases(nodesList);


